gtkmm: Gtk::CellRendererText Class Reference

gtkmm 4.23.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::CellRendererText Class Reference
TreeView Classes

Renders text in a cell. More...

`#include <gtkmm/cellrenderertext.h>`

Inheritance diagram for Gtk::CellRendererText:
[legend]

## Public Member Functions
| CellRendererText (CellRendererText && src) noexcept
CellRendererText & | operator= (CellRendererText && src) noexcept
| CellRendererText (const CellRendererText &)=delete
CellRendererText & | operator= (const CellRendererText &)=delete
| ~CellRendererText () noexcept override
GtkCellRendererText * | gobj ()
| Provides access to the underlying C GObject.
const GtkCellRendererText * | gobj () const
| Provides access to the underlying C GObject.
| CellRendererText ()
void | set_fixed_height_from_font (int number_of_rows)
| Sets the height of a renderer to explicitly be determined by the “font” and “y_pad” property set on it.
Glib::SignalProxy< void(const Glib::ustring &, const Glib::ustring &)> | signal_edited ()
Glib::PropertyProxy< Glib::ustring > | property_text ()
| Default value: "".
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_text () const
| Default value: "".
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_markup ()
| Default value: "".
Glib::PropertyProxy< Pango::AttrList > | property_attributes ()
Glib::PropertyProxy_ReadOnly< Pango::AttrList > | property_attributes () const
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_background ()
| Default value: "".
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_foreground ()
| Default value: "".
Glib::PropertyProxy< Gdk::RGBA > | property_background_rgba ()
| Background color as a GdkRGBA.
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_background_rgba () const
| Background color as a GdkRGBA.
Glib::PropertyProxy< Gdk::RGBA > | property_foreground_rgba ()
| Foreground color as a GdkRGBA.
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_foreground_rgba () const
| Foreground color as a GdkRGBA.
Glib::PropertyProxy< Glib::ustring > | property_font ()
| Default value: "".
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font () const
| Default value: "".
Glib::PropertyProxy< Pango::FontDescription > | property_font_desc ()
Glib::PropertyProxy_ReadOnly< Pango::FontDescription > | property_font_desc () const
Glib::PropertyProxy< Glib::ustring > | property_family ()
| Default value: "".
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_family () const
| Default value: "".
Glib::PropertyProxy< Pango::Style > | property_style ()
| Default value: Pango::Style::NORMAL.
Glib::PropertyProxy_ReadOnly< Pango::Style > | property_style () const
| Default value: Pango::Style::NORMAL.
Glib::PropertyProxy< Pango::Variant > | property_variant ()
| Default value: Pango::Variant::NORMAL.
Glib::PropertyProxy_ReadOnly< Pango::Variant > | property_variant () const
| Default value: Pango::Variant::NORMAL.
Glib::PropertyProxy< int > | property_weight ()
| Default value: 400.
Glib::PropertyProxy_ReadOnly< int > | property_weight () const
| Default value: 400.
Glib::PropertyProxy< Pango::Stretch > | property_stretch ()
| Default value: Pango::Stretch::NORMAL.
Glib::PropertyProxy_ReadOnly< Pango::Stretch > | property_stretch () const
| Default value: Pango::Stretch::NORMAL.
Glib::PropertyProxy< int > | property_size ()
| Default value: 0.
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Default value: 0.
Glib::PropertyProxy< double > | property_size_points ()
| Default value: 0.000000.
Glib::PropertyProxy_ReadOnly< double > | property_size_points () const
| Default value: 0.000000.
Glib::PropertyProxy< double > | property_scale ()
| Default value: 1.000000.
Glib::PropertyProxy_ReadOnly< double > | property_scale () const
| Default value: 1.000000.
Glib::PropertyProxy< bool > | property_editable ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_editable () const
| Default value: false.
Glib::PropertyProxy< bool > | property_strikethrough ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough () const
| Default value: false.
Glib::PropertyProxy< Pango::Underline > | property_underline ()
| Default value: Pango::Underline::NONE.
Glib::PropertyProxy_ReadOnly< Pango::Underline > | property_underline () const
| Default value: Pango::Underline::NONE.
Glib::PropertyProxy< int > | property_rise ()
| Default value: 0.
Glib::PropertyProxy_ReadOnly< int > | property_rise () const
| Default value: 0.
Glib::PropertyProxy< Glib::ustring > | property_language ()
| Default value: "".
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_language () const
| Default value: "".
Glib::PropertyProxy< Pango::EllipsizeMode > | property_ellipsize ()
| Specifies the preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy_ReadOnly< Pango::EllipsizeMode > | property_ellipsize () const
| Specifies the preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy< int > | property_width_chars ()
| The desired width of the cell, in characters.
Glib::PropertyProxy_ReadOnly< int > | property_width_chars () const
| The desired width of the cell, in characters.
Glib::PropertyProxy< int > | property_max_width_chars ()
| The desired maximum width of the cell, in characters.
Glib::PropertyProxy_ReadOnly< int > | property_max_width_chars () const
| The desired maximum width of the cell, in characters.
Glib::PropertyProxy< Pango::WrapMode > | property_wrap_mode ()
| Specifies how to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy_ReadOnly< Pango::WrapMode > | property_wrap_mode () const
| Specifies how to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy< int > | property_wrap_width ()
| Specifies the minimum width at which the text is wrapped.
Glib::PropertyProxy_ReadOnly< int > | property_wrap_width () const
| Specifies the minimum width at which the text is wrapped.
Glib::PropertyProxy< Pango::Alignment > | property_alignment ()
| Specifies how to align the lines of text with respect to each other.
Glib::PropertyProxy_ReadOnly< Pango::Alignment > | property_alignment () const
| Specifies how to align the lines of text with respect to each other.
Glib::PropertyProxy< bool > | property_background_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_background_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_foreground_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_foreground_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_family_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_family_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_style_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_style_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_variant_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_variant_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_weight_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_weight_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_stretch_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_stretch_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_size_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_size_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_scale_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_scale_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_editable_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_editable_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_strikethrough_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_underline_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_underline_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_rise_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_rise_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_language_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_language_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_ellipsize_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_ellipsize_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_single_paragraph_mode ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_single_paragraph_mode () const
| Default value: false.
Glib::PropertyProxy< bool > | property_align_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_align_set () const
| Default value: false.
Glib::PropertyProxy< Glib::ustring > | property_placeholder_text ()
| The text that will be displayed in the Gtk::CellRenderer if GtkCellRendererText:editable is true and the cell is empty.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_placeholder_text () const
| The text that will be displayed in the Gtk::CellRenderer if GtkCellRendererText:editable is true and the cell is empty.
Public Member Functions inherited from Gtk::CellRenderer
| CellRenderer (CellRenderer && src) noexcept
CellRenderer & | operator= (CellRenderer && src) noexcept
| CellRenderer (const CellRenderer &)=delete
CellRenderer & | operator= (const CellRenderer &)=delete
| ~CellRenderer () noexcept override
GtkCellRenderer * | gobj ()
| Provides access to the underlying C GObject.
const GtkCellRenderer * | gobj () const
| Provides access to the underlying C GObject.
SizeRequestMode | get_request_mode () const
| Gets whether the cell renderer prefers a height-for-width layout or a width-for-height layout.
void | get_preferred_width (Widget & widget, int & minimum_width, int & natural_width) const
| Retrieves a renderer’s natural size when rendered to widget.
void | get_preferred_height_for_width (Widget & widget, int width, int & minimum_height, int & natural_height) const
| Retrieves a cell renderers’s minimum and natural height if it were rendered to widget with the specified width.
void | get_preferred_height (Widget & widget, int & minimum_height, int & natural_height) const
| Retrieves a renderer’s natural size when rendered to widget.
void | get_preferred_width_for_height (Widget & widget, int height, int & minimum_width, int & natural_width) const
| Retrieves a cell renderers’s minimum and natural width if it were rendered to widget with the specified height.
void | get_preferred_size (Widget & widget, Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a cell taking into account the widget’s preference for height-for-width management.
Gdk::Rectangle | get_aligned_area (Widget & widget, CellRendererState flags, const Gdk::Rectangle & cell_area) const
| Gets the aligned area used by this CellRenderer inside cell_area.
void | snapshot (const Glib::RefPtr< Gtk::Snapshot > & snapshot, Widget & widget, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
| Invokes the virtual render function of the Gtk::CellRenderer.
bool | activate (const Glib::RefPtr< const Gdk::Event > & event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
| Passes an activate event to the cell renderer for possible processing.
CellEditable * | start_editing (const Glib::RefPtr< const Gdk::Event > & event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags=CellRendererState(0))
| Starts editing the contents of this cell, through a new Gtk::CellEditable widget created by the Gtk::CellRendererClass.start_editing virtual function.
void | set_fixed_size (int width, int height)
| Sets the renderer size to be explicit, independent of the properties set.
void | get_fixed_size (int & width, int & height) const
| Fills in width and height with the appropriate size of cell.
void | set_alignment (float xalign, float yalign)
| Sets the renderer’s alignment within its available space.
void | get_alignment (float & xalign, float & yalign) const
| Fills in xalign and yalign with the appropriate values of cell.
void | set_padding (int xpad, int ypad)
| Sets the renderer’s padding.
void | get_padding (int & xpad, int & ypad) const
| Fills in xpad and ypad with the appropriate values of cell.
void | set_visible (bool visible=true)
| Sets the cell renderer’s visibility.
bool | get_visible () const
| Returns the cell renderer’s visibility.
void | set_sensitive (bool sensitive=true)
| Sets the cell renderer’s sensitivity.
bool | get_sensitive () const
| Returns the cell renderer’s sensitivity.
bool | is_activatable () const
| Checks whether the cell renderer can do something when activated.
void | set_is_expander (bool is_expander=true)
| Sets whether the given Gtk::CellRenderer is an expander.
bool | get_is_expander () const
| Checks whether the given Gtk::CellRenderer is an expander.
void | set_is_expanded (bool is_expanded=true)
| Sets whether the given Gtk::CellRenderer is expanded.
bool | get_is_expanded () const
| Checks whether the given Gtk::CellRenderer is expanded.
void | stop_editing (bool canceled=false)
| Informs the cell renderer that the editing is stopped.
StateFlags | get_state (Widget & widget, CellRendererState cell_state) const
| Translates the cell renderer state to Gtk::StateFlags, based on the cell renderer and widget sensitivity, and the given Gtk::CellRendererState.
StateFlags | get_state (CellRendererState cell_state) const
| A get_state() convenience overload.
Glib::SignalProxy< void()> | signal_editing_canceled ()
Glib::SignalProxy< void(CellEditable *, const Glib::ustring &)> | signal_editing_started ()
Glib::PropertyProxy< CellRendererMode > | property_mode ()
| Default value: Gtk::CellRendererMode::INERT.
Glib::PropertyProxy_ReadOnly< CellRendererMode > | property_mode () const
| Default value: Gtk::CellRendererMode::INERT.
Glib::PropertyProxy< bool > | property_visible ()
| Default value: true.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Default value: true.
Glib::PropertyProxy< bool > | property_sensitive ()
| Default value: true.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Default value: true.
Glib::PropertyProxy< float > | property_xalign ()
| Default value: 0.500000.
Glib::PropertyProxy_ReadOnly< float > | property_xalign () const
| Default value: 0.500000.
Glib::PropertyProxy< float > | property_yalign ()
| Default value: 0.500000.
Glib::PropertyProxy_ReadOnly< float > | property_yalign () const
| Default value: 0.500000.
Glib::PropertyProxy< unsigned int > | property_xpad ()
| Default value: 0.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_xpad () const
| Default value: 0.
Glib::PropertyProxy< unsigned int > | property_ypad ()
| Default value: 0.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_ypad () const
| Default value: 0.
Glib::PropertyProxy< int > | property_width ()
| Default value: -1.
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| Default value: -1.
Glib::PropertyProxy< int > | property_height ()
| Default value: -1.
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| Default value: -1.
Glib::PropertyProxy< bool > | property_is_expander ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_is_expander () const
| Default value: false.
Glib::PropertyProxy< bool > | property_is_expanded ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_is_expanded () const
| Default value: false.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_cell_background ()
| Default value: "".
Glib::PropertyProxy< Gdk::RGBA > | property_cell_background_rgba ()
| Cell background as a GdkRGBA.
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_cell_background_rgba () const
| Cell background as a GdkRGBA.
Glib::PropertyProxy< bool > | property_cell_background_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_cell_background_set () const
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_editing () const
| Default value: false.
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::CellRenderer
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
void | edited (const Glib::ustring & path, const Glib::ustring & new_text)
| Emits the "edited" signal.
virtual void | on_edited (const Glib::ustring & path, const Glib::ustring & new_text)
| This is a default handler for the signal signal_edited().
Protected Member Functions inherited from Gtk::CellRenderer
| CellRenderer ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (Widget & widget, int & minimum_width, int & natural_width) const
virtual void | get_preferred_height_for_width_vfunc (Widget & widget, int width, int & minimum_height, int & natural_height) const
virtual void | get_preferred_height_vfunc (Widget & widget, int & minimum_height, int & natural_height) const
virtual void | get_preferred_width_for_height_vfunc (Widget & widget, int height, int & minimum_width, int & natural_width) const
virtual void | snapshot_vfunc (const Glib::RefPtr< Gtk::Snapshot > &snapshot, Widget & widget, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
virtual bool | activate_vfunc (const Glib::RefPtr< const Gdk::Event > & event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
virtual CellEditable * | start_editing_vfunc (const Glib::RefPtr< const Gdk::Event > & event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
virtual void | on_editing_canceled ()
| This is a default handler for the signal signal_editing_canceled().
virtual void | on_editing_started (CellEditable * editable, const Glib::ustring & path)
| This is a default handler for the signal signal_editing_started().
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Gtk::CellRendererText * | wrap (GtkCellRendererText * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::CellRenderer
Gtk::CellRenderer * | wrap (GtkCellRenderer * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Renders text in a cell.

Deprecated
  4.10: List views use widgets to display their contents. You should use Gtk::Inscription or Gtk::Label instead.

## Constructor & Destructor Documentation

## ◆ CellRendererText() [1/3]

Gtk::CellRendererText::CellRendererText | ( | CellRendererText && | src | ) |
| noexcept

## ◆ CellRendererText() [2/3]

Gtk::CellRendererText::CellRendererText | ( | const CellRendererText & |  | ) |
| delete

## ◆ ~CellRendererText()

Gtk::CellRendererText::~CellRendererText | ( |  | ) |
| overridenoexcept

## ◆ CellRendererText() [3/3]

Gtk::CellRendererText::CellRendererText | ( |  | ) |

## Member Function Documentation

## ◆ edited()

void Gtk::CellRendererText::edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | new_text )
| protected

Emits the "edited" signal.

This is useful when implementing custom CellRenderers.

## ◆ get_type()

GType Gtk::CellRendererText::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkCellRendererText * Gtk::CellRendererText::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkCellRendererText * Gtk::CellRendererText::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ on_edited()

virtual void Gtk::CellRendererText::on_edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | new_text )
| protectedvirtual

This is a default handler for the signal signal_edited().

## ◆ operator=() [1/2]

CellRendererText & Gtk::CellRendererText::operator= | ( | CellRendererText && | src | ) |
| noexcept

## ◆ operator=() [2/2]

CellRendererText & Gtk::CellRendererText::operator= | ( | const CellRendererText & |  | ) |
| delete

## ◆ property_align_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_align_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_align_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_align_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_alignment() [1/2]

Glib::PropertyProxy< Pango::Alignment > Gtk::CellRendererText::property_alignment | ( |  | ) |

Specifies how to align the lines of text with respect to each other.

Note that this property describes how to align the lines of text in case there are several of them. The "xalign" property of Gtk::CellRenderer, on the other hand, sets the horizontal alignment of the whole text.

Default value: Pango::Alignment::LEFT

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_alignment() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Alignment > Gtk::CellRendererText::property_alignment | ( |  | ) | const

Specifies how to align the lines of text with respect to each other.

Note that this property describes how to align the lines of text in case there are several of them. The "xalign" property of Gtk::CellRenderer, on the other hand, sets the horizontal alignment of the whole text.

Default value: Pango::Alignment::LEFT

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_attributes() [1/2]

Glib::PropertyProxy< Pango::AttrList > Gtk::CellRendererText::property_attributes | ( |  | ) |

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_attributes() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::AttrList > Gtk::CellRendererText::property_attributes | ( |  | ) | const

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background()

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::CellRendererText::property_background | ( |  | ) |

Default value: "".

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::CellRendererText::property_background_rgba | ( |  | ) |

Background color as a GdkRGBA.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::CellRendererText::property_background_rgba | ( |  | ) | const

Background color as a GdkRGBA.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_background_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_background_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_editable | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_editable | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_editable_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_editable_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_ellipsize() [1/2]

Glib::PropertyProxy< Pango::EllipsizeMode > Gtk::CellRendererText::property_ellipsize | ( |  | ) |

Specifies the preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string.

Setting it to Pango::EllipsizeMode::NONE turns off ellipsizing. See the wrap-width property for another way of making the text fit into a given width.

Default value: Pango::EllipsizeMode::NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_ellipsize() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::EllipsizeMode > Gtk::CellRendererText::property_ellipsize | ( |  | ) | const

Specifies the preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string.

Setting it to Pango::EllipsizeMode::NONE turns off ellipsizing. See the wrap-width property for another way of making the text fit into a given width.

Default value: Pango::EllipsizeMode::NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_ellipsize_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_ellipsize_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_ellipsize_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_ellipsize_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_family() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererText::property_family | ( |  | ) |

Default value: "".

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_family() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererText::property_family | ( |  | ) | const

Default value: "".

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_family_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_family_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_family_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_family_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_font() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererText::property_font | ( |  | ) |

Default value: "".

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_font() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererText::property_font | ( |  | ) | const

Default value: "".

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_desc() [1/2]

Glib::PropertyProxy< Pango::FontDescription > Gtk::CellRendererText::property_font_desc | ( |  | ) |

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_desc() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::FontDescription > Gtk::CellRendererText::property_font_desc | ( |  | ) | const

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground()

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::CellRendererText::property_foreground | ( |  | ) |

Default value: "".

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::CellRendererText::property_foreground_rgba | ( |  | ) |

Foreground color as a GdkRGBA.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::CellRendererText::property_foreground_rgba | ( |  | ) | const

Foreground color as a GdkRGBA.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_foreground_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_foreground_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_language() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererText::property_language | ( |  | ) |

Default value: "".

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_language() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererText::property_language | ( |  | ) | const

Default value: "".

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_language_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_language_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_language_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_language_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_markup()

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::CellRendererText::property_markup | ( |  | ) |

Default value: "".

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_width_chars() [1/2]

Glib::PropertyProxy< int > Gtk::CellRendererText::property_max_width_chars | ( |  | ) |

The desired maximum width of the cell, in characters.

If this property is set to -1, the width will be calculated automatically.

For cell renderers that ellipsize or wrap text; this property controls the maximum reported width of the cell. The cell should not receive any greater allocation unless it is set to expand in its Gtk::CellLayout and all of the cell's siblings have received their natural width.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_width_chars() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererText::property_max_width_chars | ( |  | ) | const

The desired maximum width of the cell, in characters.

If this property is set to -1, the width will be calculated automatically.

For cell renderers that ellipsize or wrap text; this property controls the maximum reported width of the cell. The cell should not receive any greater allocation unless it is set to expand in its Gtk::CellLayout and all of the cell's siblings have received their natural width.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_placeholder_text() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererText::property_placeholder_text | ( |  | ) |

The text that will be displayed in the Gtk::CellRenderer if GtkCellRendererText:editable is true and the cell is empty.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_placeholder_text() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererText::property_placeholder_text | ( |  | ) | const

The text that will be displayed in the Gtk::CellRenderer if GtkCellRendererText:editable is true and the cell is empty.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise() [1/2]

Glib::PropertyProxy< int > Gtk::CellRendererText::property_rise | ( |  | ) |

Default value: 0.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererText::property_rise | ( |  | ) | const

Default value: 0.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_rise_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_rise_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale() [1/2]

Glib::PropertyProxy< double > Gtk::CellRendererText::property_scale | ( |  | ) |

Default value: 1.000000.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::CellRendererText::property_scale | ( |  | ) | const

Default value: 1.000000.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_scale_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_scale_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_single_paragraph_mode() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_single_paragraph_mode | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_single_paragraph_mode() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_single_paragraph_mode | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_size() [1/2]

Glib::PropertyProxy< int > Gtk::CellRendererText::property_size | ( |  | ) |

Default value: 0.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_size() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererText::property_size | ( |  | ) | const

Default value: 0.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_points() [1/2]

Glib::PropertyProxy< double > Gtk::CellRendererText::property_size_points | ( |  | ) |

Default value: 0.000000.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_points() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::CellRendererText::property_size_points | ( |  | ) | const

Default value: 0.000000.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_size_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_size_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch() [1/2]

Glib::PropertyProxy< Pango::Stretch > Gtk::CellRendererText::property_stretch | ( |  | ) |

Default value: Pango::Stretch::NORMAL.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Stretch > Gtk::CellRendererText::property_stretch | ( |  | ) | const

Default value: Pango::Stretch::NORMAL.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_stretch_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_stretch_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_strikethrough | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_strikethrough | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_strikethrough_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_strikethrough_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_style() [1/2]

Glib::PropertyProxy< Pango::Style > Gtk::CellRendererText::property_style | ( |  | ) |

Default value: Pango::Style::NORMAL.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_style() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Style > Gtk::CellRendererText::property_style | ( |  | ) | const

Default value: Pango::Style::NORMAL.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_style_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_style_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_style_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_style_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererText::property_text | ( |  | ) |

Default value: "".

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_text() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererText::property_text | ( |  | ) | const

Default value: "".

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline() [1/2]

Glib::PropertyProxy< Pango::Underline > Gtk::CellRendererText::property_underline | ( |  | ) |

Default value: Pango::Underline::NONE.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Underline > Gtk::CellRendererText::property_underline | ( |  | ) | const

Default value: Pango::Underline::NONE.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_underline_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_underline_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant() [1/2]

Glib::PropertyProxy< Pango::Variant > Gtk::CellRendererText::property_variant | ( |  | ) |

Default value: Pango::Variant::NORMAL.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Variant > Gtk::CellRendererText::property_variant | ( |  | ) | const

Default value: Pango::Variant::NORMAL.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_variant_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_variant_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight() [1/2]

Glib::PropertyProxy< int > Gtk::CellRendererText::property_weight | ( |  | ) |

Default value: 400.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererText::property_weight | ( |  | ) | const

Default value: 400.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight_set() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_weight_set | ( |  | ) |

Default value: false.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_weight_set | ( |  | ) | const

Default value: false.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_width_chars() [1/2]

Glib::PropertyProxy< int > Gtk::CellRendererText::property_width_chars | ( |  | ) |

The desired width of the cell, in characters.

If this property is set to -1, the width will be calculated automatically, otherwise the cell will request either 3 characters or the property value, whichever is greater.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_width_chars() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererText::property_width_chars | ( |  | ) | const

The desired width of the cell, in characters.

If this property is set to -1, the width will be calculated automatically, otherwise the cell will request either 3 characters or the property value, whichever is greater.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_mode() [1/2]

Glib::PropertyProxy< Pango::WrapMode > Gtk::CellRendererText::property_wrap_mode | ( |  | ) |

Specifies how to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string.

This property has no effect unless the wrap-width property is set.

Default value: Pango::WrapMode::CHAR

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_mode() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::WrapMode > Gtk::CellRendererText::property_wrap_mode | ( |  | ) | const

Specifies how to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string.

This property has no effect unless the wrap-width property is set.

Default value: Pango::WrapMode::CHAR

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_width() [1/2]

Glib::PropertyProxy< int > Gtk::CellRendererText::property_wrap_width | ( |  | ) |

Specifies the minimum width at which the text is wrapped.

The wrap-mode property can be used to influence at what character positions the line breaks can be placed. Setting wrap-width to -1 turns wrapping off.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_width() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererText::property_wrap_width | ( |  | ) | const

Specifies the minimum width at which the text is wrapped.

The wrap-mode property can be used to influence at what character positions the line breaks can be placed. Setting wrap-width to -1 turns wrapping off.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_fixed_height_from_font()

void Gtk::CellRendererText::set_fixed_height_from_font | ( | int | number_of_rows | ) |

Sets the height of a renderer to explicitly be determined by the “font” and “y_pad” property set on it.

Further changes in these properties do not affect the height, so they must be accompanied by a subsequent call to this function. Using this function is inflexible, and should really only be used if calculating the size of a cell is too slow (ie, a massive number of cells displayed). If number_of_rows is -1, then the fixed height is unset, and the height is determined by the properties again.

Deprecated: 4.10

Parameters

  number_of_rows | Number of rows of text each cell renderer is allocated, or -1.

## ◆ signal_edited()

Glib::SignalProxy< void(const Glib::ustring &, const Glib::ustring &)> Gtk::CellRendererText::signal_edited | ( |  | ) |

Slot Prototype:
  void on_my_edited(const Glib::ustring& path, const Glib::ustring& new_text)

Flags: Run Last

This signal is emitted after renderer has been edited.

It is the responsibility of the application to update the model and store new_text at the position indicated by path.

Parameters

  path | The path identifying the edited cell.
  new_text | The new text.

## Friends And Related Symbol Documentation

## ◆ wrap()

Gtk::CellRendererText * wrap | ( | GtkCellRendererText * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.